
body {
    margin: 0;
    padding: 2rem;
    width: 100%;
    height: 100vh;
    box-sizing: border-box;
    background: linear-gradient(50deg, #07396b, #07396b, #ffffff);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}

#particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 0;
}

.login-card-container {
    width: 100%;
    max-width: 400px;
    box-sizing: border-box;
    perspective: 1000px;
}

.login-card {
    margin: 0 auto;
    max-width: 100%;
    box-sizing: border-box;
    background: white;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1), 0 20px 60px rgba(0, 0, 0, 0.15);
    transform-origin: top;
    opacity: 0;
    transform: scaleY(0);
    padding: 2rem;
    text-align: center;
}

.login-card input {
    width: 80%;
    padding: 0.75rem;
    margin-bottom: 1rem;
    border-radius: 5px;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

.login-card input:focus {
    border-color: #07396b;
}

.login-card .form-item {
    display: flex;
    align-items: center;
    position: relative;
    width: 100%;
    justify-content: center;
}

.login-card .form-item-icon {
    position: absolute;
    left: calc(20% + 1rem);
    color: #07396b;
}

.login-card input {
    padding-left: 2.5rem;
    box-sizing: border-box;
}

.login-card input[type="checkbox"] {
    width: auto;
    margin: 0;
}

.login-card .form-item-other {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.login-card .form-item-other a {
    color: #07396b;
    text-decoration: none;
}

.login-card-logo img {
    width: 100px;
    height: 100px;
}



#siteseal img {
    filter: grayscale(100%) brightness(200%);
}

* {
    box-sizing: border-box;
}

.logo-highlight {
    width: 150px !important;
    height: 150px !important;
    max-width: 100% !important;
    max-height: 100% !important;
    margin: 0 auto !important;
    display: block !important;
}

@media only screen and (max-width: 481px) {
    .login-card {
        padding: 4rem 2rem;
    }

    .form-item-other {
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: .25rem;
    }
}

.modal-footer {
    justify-content: flex-end;
}

/* Seleccionar los elementos generados por intl-tel-input y restablecer el estilo */
.iti {
    display: block !important; /* Establece el contenedor como bloque para alinearlo correctamente */
    width: 100% !important; /* Asegúrate de que ocupe el ancho completo */
}

.iti__selected-flag {
    height: 100% !important; /* Asegura que el selector de país ocupe todo el alto del input */
}

.iti input {
    display: block !important;
    width: 100% !important; /* Forzar que el input ocupe el ancho completo */
    padding-left: 50px; /* Ajusta el padding según el ancho del selector de país */
}

#otpContainer .otp-input {
    width: 50px; /* Ancho de cada dígito */
    height: 60px; /* Alto de cada dígito */
    font-size: 24px; /* Tamaño de la fuente */
    text-align: center;
    border: 2px solid #ddd;
    border-radius: 8px;
    margin-right: 8px;
}

#otpContainer .otp-input:focus {
    border-color: #007bff; /* Color de enfoque */
    outline: none;
    box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); /* Sombra en enfoque */
}